task processSomatic {
  
  String sample
  File varscan_snp
  File varscan_indel
  
  String docker
  String cluster_config
  String disk_size

  command <<<
    cp ${varscan_snp} ./
    cp ${varscan_indel} ./
    java -Xmx32g -jar /opt/VarScan.v2.4.3.jar processSomatic ${sample}.VarScan.SNP.vcf
    java -Xmx32g -jar /opt/VarScan.v2.4.3.jar processSomatic ${sample}.VarScan.INDEL.vcf

  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }

  output {
    File varscan_snp_somatic = "${sample}.VarScan.SNP.Somatic.vcf"
    File varscan_snp_germline = "${sample}.VarScan.SNP.Germline.vcf"
    File varscan_snp_loh = "${sample}.VarScan.SNP.LOH.vcf"
    File varscan_snp_somatic_hc = "${sample}.VarScan.SNP.Somatic.hc.vcf"
    File varscan_snp_germline_hc = "${sample}.VarScan.SNP.Germline.hc.vcf"
    File varscan_snp_loh_hc = "${sample}.VarScan.SNP.LOH.hc.vcf"
    File varscan_indel_somatic = "${sample}.VarScan.INDEL.Somatic.vcf"
    File varscan_indel_germline = "${sample}.VarScan.INDEL.Germline.vcf"
    File varscan_indel_loh = "${sample}.VarScan.INDEL.LOH.vcf"
    File varscan_indel_somatic_hc = "${sample}.VarScan.INDEL.Somatic.hc.vcf"
    File varscan_indel_germline_hc = "${sample}.VarScan.INDEL.Germline.hc.vcf"
    File varscan_indel_loh_hc = "${sample}.VarScan.INDEL.LOH.hc.vcf"
  }
}